daily pastebin goal
29%
SHARE
TWEET

Untitled

a guest Jul 18th, 2018 95 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Ignoring exception in command tip
  2. Traceback (most recent call last):
  3.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/engine/base.py", line 1193, in _execute_context
  4.     context)
  5.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/engine/default.py", line 507, in do_execute
  6.     cursor.execute(statement, parameters)
  7. sqlite3.IntegrityError: UNIQUE constraint failed: transactions.paymentid
  8.  
  9. The above exception was the direct cause of the following exception:
  10.  
  11. Traceback (most recent call last):
  12.   File "/usr/local/lib/python3.5/dist-packages/discord/ext/commands/core.py", line 50, in wrapped
  13.     ret = yield from coro(*args, **kwargs)
  14.   File "bot.py", line 421, in tip
  15.     await _tip(ctx, amount, None, None)
  16.   File "bot.py", line 523, in _tip
  17.     session.commit()
  18.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/session.py", line 943, in commit
  19.     self.transaction.commit()
  20.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/session.py", line 467, in commit
  21.     self._prepare_impl()
  22.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/session.py", line 447, in _prepare_impl
  23.     self.session.flush()
  24.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/session.py", line 2243, in flush
  25.     self._flush(objects)
  26.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/session.py", line 2369, in _flush
  27.     transaction.rollback(_capture_exception=True)
  28.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/util/langhelpers.py", line 66, in __exit__
  29.     compat.reraise(exc_type, exc_value, exc_tb)
  30.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/util/compat.py", line 187, in reraise
  31.     raise value
  32.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/session.py", line 2333, in _flush
  33.     flush_context.execute()
  34.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/unitofwork.py", line 391, in execute
  35.     rec.execute(self)
  36.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/unitofwork.py", line 556, in execute
  37.     uow
  38.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/persistence.py", line 181, in save_obj
  39.     mapper, table, insert)
  40.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/orm/persistence.py", line 866, in _emit_insert_statements
  41.     execute(statement, params)
  42.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/engine/base.py", line 948, in execute
  43.     return meth(self, multiparams, params)
  44.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/sql/elements.py", line 269, in _execute_on_connection
  45.     return connection._execute_clauseelement(self, multiparams, params)
  46.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/engine/base.py", line 1060, in _execute_clauseelement
  47.     compiled_sql, distilled_params
  48.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/engine/base.py", line 1200, in _execute_context
  49.     context)
  50.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/engine/base.py", line 1413, in _handle_dbapi_exception
  51.     exc_info
  52.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/util/compat.py", line 203, in raise_from_cause
  53.     reraise(type(exception), exception, tb=exc_tb, cause=cause)
  54.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/util/compat.py", line 186, in reraise
  55.     raise value.with_traceback(tb)
  56.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/engine/base.py", line 1193, in _execute_context
  57.     context)
  58.   File "/usr/local/lib/python3.5/dist-packages/sqlalchemy/engine/default.py", line 507, in do_execute
  59.     cursor.execute(statement, parameters)
  60. sqlalchemy.exc.IntegrityError: (sqlite3.IntegrityError) UNIQUE constraint failed: transactions.paymentid [SQL: '
  61. INSERT INTO transactions (tx, amount, paymentid) VALUES (?, ?, ?)'] [parameters: ('02cea0623b02e964c39afb735fc3c
  62. 74c8761b0a9dc02b2a740aceee22f3de5a0', 1000010, '71c72fb7f8cad0a49db25c0d2aa4abd519492ac50c71c9d03bc097bb2062f14c
  63. ')] (Background on this error at: http://sqlalche.me/e/gkpj)
  64. The above exception was the direct cause of the following exception:
  65. Traceback (most recent call last):
  66.   File "/usr/local/lib/python3.5/dist-packages/discord/ext/commands/bot.py", line 846, in process_commands
  67.     yield from command.invoke(ctx)
  68.   File "/usr/local/lib/python3.5/dist-packages/discord/ext/commands/core.py", line 374, in invoke
  69.     yield from injected(*ctx.args, **ctx.kwargs)
  70.   File "/usr/local/lib/python3.5/dist-packages/discord/ext/commands/core.py", line 54, in wrapped
  71.     raise CommandInvokeError(e) from e
  72. discord.ext.commands.errors.CommandInvokeError: Command raised an exception: IntegrityError: (sqlite3.IntegrityE
  73. rror) UNIQUE constraint failed: transactions.paymentid [SQL: 'INSERT INTO transactions (tx, amount, paymentid) V
  74. ALUES (?, ?, ?)'] [parameters: ('02cea0623b02e964c39afb735fc3c74c8761b0a9dc02b2a740aceee22f3de5a0', 1000010, '71
  75. c72fb7f8cad0a49db25c0d2aa4abd519492ac50c71c9d03bc097bb2062f14c')] (Background on this error at: http://sqlalche.
  76. me/e/gkpj)
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top